版本说明 - v2.4.4

Rancher 2.4.4 版本于 2020 年 6 月 2 日发布。本文介绍了 Rancher 2.4.4 相较上一版本(2.4.3)的安全漏洞处理、新增的实验性功能、已修复的问题和已知问题。点击这里查看英文版版本说明。

解决 Kubernetes 安全漏洞

  • 添加了新的 Kubernetes 版本,以及相关系统镜像,从而解决如下的 Kubernetes 安全漏洞[#27369]:
    • CVE-2020-8555:kube-controller-manager SSRF 漏洞。
    • CVE-2020-10749:只开启了 IPv4 的集群容易受到通过 IPv6 恶意路由器通告进行的 MitM 攻击。
  • 升级 Nginx 至最新版本[#26957]
  • 添加 Docker 19.03.11 的安装脚本,解决 Docker 安全漏洞Docker CVE-2020-13401 [#27371]

重要说明

  • 请阅读v2.4.0 版本说明中的重要更新和重大改动的说明

  • 使用单节点 Docker 安装的用户请注意: - Docker 容器中的 Etcd 已从 3.3 升级到了 3.4,因此,您必须在升级之前进行备份,以便能够回滚到 v2.3.x 版本。没有此备份,将无法回滚。

  • 使用节点池功能,并使用 RHEL/CentOS 的用户请注意 [#18065]: RHEL / CentOS 节点的默认存储驱动已更新为overlay2。如果您的节点模板未指定存储驱动,则在使用该模版创建新节点时,将使用默认值overlay2而不是之前的devicemapper作为存储驱动。如果您需要继续使用devicemapper作为存储驱动选项,请编辑节点模板,并将存储驱动显式设置为 devicemapper

  • 使用 Windows 集群的用户请注意 [#25582]: - Windows 已于 2 月 11 日发布了安全补丁程序。升级之前,请更新您的节点以包括此安全补丁程序,否则,升级将失败,直到您使用该补丁程序为止。

  • Rancher 部署的集群(RKE 集群)需要额外的 500MB 磁盘空间 - Rancher 部署的集群(RKE 集群)默认开启了审计日志功能。

  • Rancher 部署的集群(RKE 集群)升级方式发生了变化 [#23897]: - 请参考零宕机升级功能以了解更多信息。

版本

下面的版本为当前的最新版和稳定版:

类型Rancher 版本Docker 标签Helm 仓库Helm Chart 版本
最新版v2.4.4rancher/rancher:latestserver-charts/latestv2.4.4
稳定版v2.4.4rancher/rancher:stableserver-charts/stablev2.4.4

您可以通过如何选择版本的文档,了解更多关于不同版本和标签的区别。

实验性功能

实验性功能的功能开关

我们提供了一种启停 Rancher 中实验性功能模块的能力。在这个版本里,您可以通过 UI 来控制“功能开关”。有些功能开关的调整会导致 Rancher Server 重启,详情请查阅在 Rancher 中如何开启某些功能的文档。

功能开关功能开关名称默认值可用版本是否需要重启 Rancher?
下一代 UIdashboardtruev2.4.0
新 Proxyproxyfalsev2.4.0
在 UI 中启用非默认激活的存储驱动(例如:Ceph)unsupported-storage-driversfalsev2.3.0

自 v2.4.3 以来修复的主要问题

  • 修复了由 kontainer-driver-metadata 中的 Bug 导致的,无法正确加载新的 Kubernetes 版本的问题[#26752]。

说明: 这意味着 v2.2.13+和 v2.3.8+版本中新增的 Kubernetes 模板无法在 v2.4.0、v2.4.2 和 v2.4.3 中使用。

其他说明

离线安装和升级

在 v2.4.0 的版本里,离线安装将不在需要手动同步 system charts 的源代码仓库了。具体操作请参阅有关安装 Rancher 时,如何使用内嵌的 system charts

主要的已知问题

  • 在下游集群升级期间,如果集群中有任何 PodDisruptionBudgets,则驱散过程可能会停滞 [#26400]。
  • 当集群中的节点断电时,Metrics Server Pod 和 CoreDNS Pod 可能不会从节点中移出,需要手动删除,才能将其重新调度到可用节点 [#26190#26191]。
  • 日志功能在导入的 k3s 集群中不能正常工作 [#24157]。
  • 为监控工具启用持久存储卷时,最新的监控工具 monitoring 0.1.0 不能正常运行[#26969]。

版本信息

镜像

  • rancher/rancher:v2.4.4
  • rancher/rancher-agent:v2.4.4

工具

Kubernetes 版本

升级和回滚

Rancher 支持升级回滚操作。在修改 Rancher 版本时,请先确认您要升级到或者回滚到的 Rancher 版本。

请注意,在升级到 v2.3.0 或者以上版本时,第一次修改通过 Rancher v2.3.0 之前版本部署的 RKE 集群时,由于要向系统组件中加入 Tolerations,该集群全部的系统组件将会自动重启。请事先规划好。

如果您的 Rancher HA 在使用 低于 v0.9.1 的 cert-manager,并且是自签名证书,由于 cert-manager 最新的变化,您需要升级 cert-manager 的版本。具体操作请参阅有关如何升级 cert-manager的文档。

Assets

请在这里获取该版本的 Assets。

最后由 yzeng25更新 于